<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:h="http://xmlns.jcp.org/jsf/html">

    <body>

        <ui:composition template="./../WEB-INF/Modelo.xhtml">

            <ui:define name="top">

            </ui:define>

            
            <ui:define name="content">

                <h:form prependId="false">
                <p:fieldset legend="Cadastro Aluno">

                    <p:panelGrid  id="painel">
                        <p:row>
                            <p:column>
                                <p:outputLabel value="Código" for="codigo" />
                            </p:column>
                            <p:column colspan="4">
                                <p:inputText id="codigo" value="#{cadastrarAluno.aluno.id}" readonly="true" size="2" />
                                <p:message for="codigo" />
                            </p:column>
                        </p:row>

                        <p:row>
                            <p:column >
                                <p:outputLabel value="Nome:" for="nome" />
                            </p:column>
                            <p:column colspan="4">
                                <p:inputText id="nome" value="#{cadastrarAluno.aluno.nome}" required="true" size="70"/>
                                <p:message for="nome" />
                            </p:column>
                            <p:column>
                                <p:outputLabel value="CPF:" for="cpf" />
                            </p:column>
                            <p:column colspan="4">
                                <p:inputText id="cpf" value="#{cadastrarAluno.aluno.cpf}" required="false" />
                                <p:message for="cpf" />
                            </p:column>
                        </p:row>

                        <p:row>
                            <p:column>
                                <p:outputLabel value="Endereço:" for="endereco" />
                            </p:column>
                            <p:column>
                                <p:inputText id="endereco" value="#{cadastrarAluno.aluno.endereco}" required="false" />
                                <p:message for="endereco" />
                            </p:column>
                            <p:column>
                                <p:outputLabel value="Cidade:" for="cidade" />
                            </p:column>
                            <p:column>
                                <p:inputText id="cidade" value="#{cadastrarAluno.aluno.cidade}" required="false" />
                                <p:message for="cidade" />
                            </p:column>
                             <p:column>
                                <p:outputLabel value="Numero:" for="numero" />
                            </p:column>
                            <p:column>
                                <p:inputText id="numero" value="#{cadastrarAluno.aluno.numero}" required="false" size="2" />
                                <p:message for="numero" />
                            </p:column>
                            <p:column>
                                <p:outputLabel value="Estado:" for="estado" />
                            </p:column>
                            <p:column>
                                <p:inputText id="estado" value="#{cadastrarAluno.aluno.estado}" required="false" size="8"/>
                                <p:message for="estado" />
                            </p:column>
                        </p:row>

                        <p:row>
                            <p:column>
                                <p:outputLabel value="Comprelento" for="complemento" />
                            </p:column>
                            <p:column colspan="4">
                                <p:inputText id="complemento" value="#{cadastrarAluno.aluno.complemento}" required="false" size="70" />
                                <p:message for="complemento" />
                            </p:column>
                            <p:column>
                                <p:outputLabel value="E-mail:" for="email" />
                            </p:column>
                            <p:column colspan="4">
                                <p:inputText id="email" value="#{cadastrarAluno.aluno.email}" required="false" />
                                <p:message for="email" />
                            </p:column>
                        </p:row>

                    </p:panelGrid>

                </p:fieldset>

                <p:commandButton value="Salvar"  actionListener="#{cadastrarAluno.salvar}" update="painel,growl" />
                <p:commandButton value="Novo" actionListener="#{cadastrarAluno.novo}" update="painel" immediate="true" process="@this" />
                </h:form>
                                
            </ui:define>
            
            <ui:define name="bottom">

            </ui:define>

        </ui:composition>

    </body>
</html>
